## NAME

s.windavg - Average an attribute of a site_list for all the sites within each cell of the current region.
(GRASS Sites Program)

## SYNOPSIS

s.windavg
s.windavg help
s.windavg [-qzp] input=name attr=name [index=value] [output=name]

## DESCRIPTION

s.windavg reads a sites list averaging the selected attribute for each site that falls within each cell defined by the current region settings. The output gives the coordinates of the center of the cell and the average (mean) of the attribute values.

This program may be especially useful for generalizing data to a specific cell resolution.

## OPTIONS

### Flags:

-q
  Run quietly
-z
  Don't output cells without sites (averages of 0.0)
-p
  Create output in gnuplot format (overrides -z and writes to Standard Output)

### Parameters:

input=name
  Name of the input sites list.
attr=type
  Site attribute type to average values over.
  Options: cat, dim, decimal, string
  Default: cat
index=value
  Site attribute index to average values over.
  Ignored when the attribute is cat.
  Default: 1
output=name
  Optional name of sites list in which output of means will be written. Standard output is used if this is missing.

## NOTES

Results are highly dependent on the settings of the current region. Only those sites within the current region will be considered. It may be desirable to decrease the cell resolution (make cells bigger) to get good results.

Processing time increases geometrically with increasing cell resolution (smaller cells). However, available memory should never be an issue.

## SEE ALSO

g.region
s.rand
s.sample

## BUGS

Please send all bug fixes and comments to the author or the grass development team.
`http://www.geog.uni-hannover/grass/`

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Updated for GRASS 5.0 by Eric G. Miller (30 Oct 2000)

Last changed: $Date: 2002/01/25 05:45:35 $